org.apache.avro.ipc.netty

## Class NettyTransceiver.NettyClientAvroHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.SimpleChannelInboundHandler<NettyTransportCodec.NettyDataPack>
      - - org.apache.avro.ipc.netty.NettyTransceiver.NettyClientAvroHandler

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

Enclosing class:
  NettyTransceiver

    protected class NettyTransceiver.NettyClientAvroHandler
    extends io.netty.channel.SimpleChannelInboundHandler<NettyTransportCodec.NettyDataPack>

Avro client handler for the Netty transport

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
`protected` `NettyClientAvroHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `channelInactive(io.netty.channel.ChannelHandlerContext ctx)`
`protected void` `channelRead0(io.netty.channel.ChannelHandlerContext ctx, NettyTransportCodec.NettyDataPack dataPack)`
`void` `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable e)`

### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

`acceptInboundMessage, channelRead`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded, handlerRemoved`

### Constructor Detail

#### NettyClientAvroHandler

    protected NettyClientAvroHandler()

### Method Detail

#### channelRead0

    protected void channelRead0(io.netty.channel.ChannelHandlerContext ctx,
                                NettyTransportCodec.NettyDataPack dataPack)
                         throws Exception

Specified by:
  `channelRead0` in class `io.netty.channel.SimpleChannelInboundHandler<NettyTransportCodec.NettyDataPack>`
Throws:
  `Exception`

#### exceptionCaught

    public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx,
                                Throwable e)

Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`

#### channelInactive

    public void channelInactive(io.netty.channel.ChannelHandlerContext ctx)
                         throws Exception

Specified by:
  `channelInactive` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `channelInactive` in class `io.netty.channel.ChannelInboundHandlerAdapter`
Throws:
  `Exception`